package cn.com.ty.lift.business.library.service;

import cn.com.ty.lift.business.library.dao.entity.LiftHistory;
import cn.com.ty.lift.business.library.dao.entity.model.request.LiftRequest;
import cn.com.ty.lift.business.library.dao.mapper.LiftHistoryMapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 电梯操作记录 服务实现类
 * </p>
 *
 * @author wcz
 * @since 2020-01-07
 */
@Service
public class LiftHistoryService extends ServiceImpl<LiftHistoryMapper, LiftHistory> {


    /**
     * @param request 项目操作记录查询条件
     * @return IPage<ProjectHistory> 结果集
     * @description 查询电梯操作记录列表
     * @date 2020/4/27 2:19 下午
     */
    public IPage<LiftHistory> historyList(LiftRequest request) {
        QueryWrapper<LiftHistory> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("mt_company_id", request.getMtCompanyId());
        queryWrapper.eq("lift_id", request.getLiftId());
        return page(request.getPage(), queryWrapper);
    }
}
