package cn.com.ty.lift.business.project.service;

import cn.com.ty.lift.business.project.dao.entity.ProjectHistory;
import cn.com.ty.lift.business.project.dao.entity.model.request.ProjectRequest;
import cn.com.ty.lift.business.project.dao.mapper.ProjectHistoryMapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author bieao
 * @date 2020/3/10
 * @description 项目操作记录
 */
@Service
public class ProjectHistoryService extends ServiceImpl<ProjectHistoryMapper, ProjectHistory> {


    /**
     * @param request 项目操作记录查询条件
     * @return IPage<ProjectHistory> 结果集
     * @description 查询项目操作记录列表
     * @date 2020/4/27 2:19 下午
     */
    public IPage<ProjectHistory> historyList(ProjectRequest request) {
        QueryWrapper<ProjectHistory> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("mt_company_id", request.getMtCompanyId());
        queryWrapper.eq("project_id", request.getProjectId());
        return page(request.getPage(), queryWrapper);
    }
}
